Bug 1462376 - Run Ansible Playbook Action in Control Explorer always reverts to localhost for Inventory
Run Ansible Playbook Action in Control Explorer always reverts to localhost f...
Status: ON_DEV
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity high
: GA
: cfme-future
Assigned To: lgalis
Dave Johnson
ansible_embed:control
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-16 19:08 EDT by olive power
Modified: 2017-07-17 08 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Ansible


Attachments (Terms of Use)
screen shots of before and after (230.31 KB, image/jpeg)
2017-06-16 19:08 EDT, olive power
no flags Details
three log files - production, audit and evm - collected at the time of item creation (4.03 MB, application/zip)
2017-07-17 08:57 EDT, olive power
no flags Details

  None (edit)
Description olive power 2017-06-16 19:08:33 EDT
Created attachment 1288482 [details]
screen shots of before and after

Description of problem:

When creating an Action to Run Ansible Playbook; the Inventory always reverts to "localhost" even when the other options - "Target Machine" or "Specific Hosts" are selected.

Version-Release number of selected component (if applicable):
5.8.0.17.20170525183055_6317a22 


How reproducible:
Happens each time an action is created


Steps to Reproduce:
1. Navigate to Control/Explorer/Actions/All Actions
2. Click Add New Action. Select Action Type as "Run Ansible Playbook"
3. Select Relevant Playbook Catalog Item, and Inventory of "Target Machine" ; Click ADD
4. Navigate to newly created action and click Configuration/Edit Action
5. Value for inventory has reverted back to localhost

screen shots included



Actual results:
Value for inventory has is "localhost"

Expected results:
Value for inventory has reverted back to "Target Machine"


Additional info:
Comment 3 olive power 2017-06-27 05:31:58 EDT
extract from miq_actions table:

 1000000000039 | af771f3e-4f84-11e7-bbef-000c29b8bba8    | op_checking_again                                           | 2017-06-12 15:34:55.621496 | 2017-06-12 15:34:55.621496 | af771f3e-4f84-
11e7-bbef-000c29b8bba8 | run_ansible_playbook | ---                                +
               |                                         |                                                             |                            |                            |               
                       |                      | :use_event_target: false           +
               |                                         |                                                             |                            |                            |               
                       |                      | :use_localhost: true               +
               |                                         |                                                             |                            |                            |               
                       |                      | :service_template_id: 1000000000002+
               |                                         |                                                             |                            |                            |               
                       |                      | 
 1000000000040 | 582a952e-4f9f-11e7-bbef-000c29b8bba8    | late_check_001                                              | 2017-06-12 18:45:45.568808 | 2017-06-12 18:45:45.568808 | 582a952e-4f9f-
11e7-bbef-000c29b8bba8 | run_ansible_playbook | ---                                +
               |                                         |                                                             |                            |                            |               
                       |                      | :use_event_target: false           +
               |                                         |                                                             |                            |                            |               
                       |                      | :use_localhost: true               +
               |                                         |                                                             |                            |                            |               
                       |                      | :service_template_id: 1000000000003+
               |                                         |                                                             |                            |                            |               
                       |                      | 
 1000000000041 | 74411c9e-52a9-11e7-af59-000c29b8bba8    | op_satcheck_01                                              | 2017-06-16 15:35:41.148238 | 2017-06-16 15:35:41.148238 | 74411c9e-52a9-
11e7-af59-000c29b8bba8 | run_ansible_playbook | ---                                +
               |                                         |                                                             |                            |                            |               
                       |                      | :use_event_target: false           +
               |                                         |                                                             |                            |                            |               
                       |                      | :use_localhost: true               +
               |                                         |                                                             |                            |                            |               
                       |                      | :service_template_id: 1000000000004+
               |                                         |                                                             |                            |                            |
Comment 5 olive power 2017-07-17 08:57 EDT
Created attachment 1299847 [details]
three log files - production, audit and evm - collected at the time of item creation

as requested

Note You need to log in before you can comment on or make changes to this bug.